# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section         free
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Name:           ops4j-pax-wicket
Summary:        Pax OSGi extension for Apache Wicket
Url:            http://team.ops4j.org/wiki/display/paxwicket/Pax+Wicket
Version:        1.1.0
Release:        1%{?dist}
Epoch:          0
License:        Apache 2.0 License
Group:          Development/Libraries
Source0:        ops4j-pax-wicket-1.1.0.tgz
# git clone https://github.com/ops4j/org.ops4j.pax.wicket.git
# cd org.ops4j.pax.wicket/
# git tag -l
# git archive --prefix="ops4j-pax-wicket-1.1.0/" --format=tar v1.1.0 | gzip > ../../SOURCES/ops4j-pax-wicket-1.1.0.tgz

Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml

Patch0:         ops4j-pax-wicket-pom.patch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-idea
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-remote-resources
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-war
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  aries-testsupport
BuildRequires:  htmlunit2
BuildRequires:  james-project
BuildRequires:  jmock2
BuildRequires:  ops4j-pax-construct
BuildRequires:  ops4j-pax-exam2
BuildRequires:  ops4j-pax-runner
BuildRequires:  ops4j-pax-tinybundles
BuildRequires:  oss-parent
BuildRequires:  servicemix-depends-maven-plugin

BuildRequires:  apache-felix-configadmin
BuildRequires:  apache-felix-eventadmin
BuildRequires:  geronimo-genesis
BuildRequires:  geronimo-genesis2
BuildRequires:  geronimo-jaf-1.1-api
BuildRequires:  geronimo-servlet-2.5-api
BuildRequires:  geronimo-specs-osgi-support
BuildRequires:  hc-project
BuildRequires:  jetty7
BuildRequires:  ops4j-pax-master
BuildRequires:  ops4j-base
BuildRequires:  ops4j-pax-swissbox
BuildRequires:  ops4j-pax-web
BuildRequires:  spring
BuildRequires:  spring3-aop
BuildRequires:  spring3-asm
BuildRequires:  spring3-beans
BuildRequires:  spring3-context
BuildRequires:  spring3-core
BuildRequires:  spring3-expression
BuildRequires:  spring-osgi
BuildRequires:  wicket
BuildRequires:  wicket-auth-roles
BuildRequires:  wicket-devutils
BuildRequires:  wiquery

Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5
Requires:  java >= 0:1.6.0
Requires:  jaf_1_1_api
Requires:  apache-felix-configadmin
Requires:  apache-felix-eventadmin
Requires:  ops4j-base
Requires:  ops4j-pax-swissbox
Requires:  ops4j-pax-web
Requires:  servlet_2_5_api
Requires:  spring3-aop
Requires:  spring3-asm
Requires:  spring3-beans
Requires:  spring3-context
Requires:  spring3-core
Requires:  spring3-expression
Requires:  spring-osgi
Requires:  wicket
Requires:  wicket-auth-roles
Requires:  wicket-devutils
Requires:  wiquery

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Pax-Wicket is an OSGi-based extension to the Apache Wicket 
framework allowing to run Wicket applications in bundles 
easily on OSGi platforms.
Whereas a typical Wicket application requires that all 
component wiring be done at compile time, this extension 
allows you to model the Wicket application, and move those 
model parts around and not be resolved until request time. 
You can add and remove parts of the Wicket application 
without restarting the application, simply by loading 
and unloading OSGi bundles.
In a nutshell PAX-WICKET tries to solve the following 
problem statement:
Develop the easiest possible solution to integrate wicket 
with OSGi, providing the broadest integration into existing
OSGi enterprise technologies (JPA, JNDI, Spring, Blueprint,
...).
For this goal PAX-WICKET provides the following features:
* Full integration at HttpService Level; No need for war 
  files and web.xml
* Spring and Blueprint bean and service injection on bundle 
  level
* Delegating classloader and injection loading model.
* Easy usage via namespace support for Spring and Blueprint
* Filter and context-param configuration via OSGi
* Full application configuration via OSGi services
* Multiple applications on the same port
* Full Apache Karaf  integration
* Support for JSR333 (to come soon)


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q 
chmod -R go=u-w *
cp %{SOURCE1} settings.xml
%patch0 -b .sav0

%build
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

export SETTINGS=$(pwd)/settings.xml

mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven.test.failure.ignore=true \
        install 
mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        javadoc:aggregate

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

%add_to_maven_depmap org.ops4j.pax.wicket pax-wicket %{version} JPP/%{name} wicket
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-wicket.pom

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.itests %{version} JPP/%{name} org.ops4j.pax.wicket.itests
install -m 644 itests/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.ops4j.pax.wicket.itests.pom
install -m 644 itests/target/org.ops4j.pax.wicket.itests-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.service %{version} JPP/%{name} org.ops4j.pax.wicket.service
install -m 644 service/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.ops4j.pax.wicket.service.pom
install -m 644 service/target/org.ops4j.pax.wicket.service-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/
install -m 644 service/target/org.ops4j.pax.wicket.service-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.ops4j.pax.wicket.service-sources-%{version}.jar

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.test %{version} JPP/%{name} org.ops4j.pax.wicket.test
install -m 644 test/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.ops4j.pax.wicket.test.pom
install -m 644 test/target/org.ops4j.pax.wicket.test-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/
install -m 644 test/target/org.ops4j.pax.wicket.test-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.ops4j.pax.wicket.test-sources-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples
install -m 644 samples/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.pom

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.blueprint %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.blueprint
install -m 644 samples/blueprint/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.blueprint.pom

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.blueprint.filter %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.blueprint.filter
install -m 644 samples/blueprint/filter/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.blueprint.filter.pom
install -m 644 samples/blueprint/filter/target/org.ops4j.pax.wicket.samples.blueprint.filter-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
install -m 644 samples/blueprint/filter/target/org.ops4j.pax.wicket.samples.blueprint.filter-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/org.ops4j.pax.wicket.samples.blueprint.filter-sources-%{version}.jar

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.blueprint.injection %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.blueprint.injection
install -m 644 samples/blueprint/injection/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.blueprint.injection.pom

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.blueprint.injection.simple %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.blueprint.injection.simple
install -m 644 samples/blueprint/injection/simple/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.blueprint.injection.simple.pom
install -m 644 samples/blueprint/injection/simple/target/org.ops4j.pax.wicket.samples.blueprint.injection.simple-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
install -m 644 samples/blueprint/injection/simple/target/org.ops4j.pax.wicket.samples.blueprint.injection.simple-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/org.ops4j.pax.wicket.samples.blueprint.injection.simple-sources-%{version}.jar

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.blueprint.mount %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.blueprint.mount
install -m 644 samples/blueprint/mount/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.blueprint.mount.pom
install -m 644 samples/blueprint/mount/target/org.ops4j.pax.wicket.samples.blueprint.mount-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
install -m 644 samples/blueprint/mount/target/org.ops4j.pax.wicket.samples.blueprint.mount-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/org.ops4j.pax.wicket.samples.blueprint.mount-sources-%{version}.jar

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.blueprint.simple %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.blueprint.simple
install -m 644 samples/blueprint/simple/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.blueprint.simple.pom
install -m 644 samples/blueprint/simple/target/org.ops4j.pax.wicket.samples.blueprint.simple-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
install -m 644 samples/blueprint/simple/target/org.ops4j.pax.wicket.samples.blueprint.simple-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/org.ops4j.pax.wicket.samples.blueprint.simple-sources-%{version}.jar

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.blueprint.wicketproperties %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.blueprint.wicketproperties
install -m 644 samples/blueprint/wicketproperties/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.blueprint.wicketproperties.pom
install -m 644 samples/blueprint/wicketproperties/target/org.ops4j.pax.wicket.samples.blueprint.wicketproperties-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
install -m 644 samples/blueprint/wicketproperties/target/org.ops4j.pax.wicket.samples.blueprint.wicketproperties-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/org.ops4j.pax.wicket.samples.blueprint.wicketproperties-sources-%{version}.jar

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.edge %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.edge
install -m 644 samples/edge/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.edge.pom

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.edge.inheritinjection %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.edge.inheritinjection
install -m 644 samples/edge/inheritinjection/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.edge.inheritinjection.pom

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.edge.inheritinjection.inherit %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.edge.inheritinjection.inherit
install -m 644 samples/edge/inheritinjection/inherit/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.edge.inheritinjection.inherit.pom
install -m 644 samples/edge/inheritinjection/inherit/target/org.ops4j.pax.wicket.samples.edge.inheritinjection.inherit-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
install -m 644 samples/edge/inheritinjection/inherit/target/org.ops4j.pax.wicket.samples.edge.inheritinjection.inherit-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/org.ops4j.pax.wicket.samples.edge.inheritinjection.inherit-sources-%{version}.jar

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.edge.inheritinjection.parent %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.edge.inheritinjection.parent
install -m 644 samples/edge/inheritinjection/parent/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.edge.inheritinjection.parent.pom
install -m 644 samples/edge/inheritinjection/parent/target/org.ops4j.pax.wicket.samples.edge.inheritinjection.parent-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
install -m 644 samples/edge/inheritinjection/parent/target/org.ops4j.pax.wicket.samples.edge.inheritinjection.parent-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/org.ops4j.pax.wicket.samples.edge.inheritinjection.parent-sources-%{version}.jar

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.mixed %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.mixed
install -m 644 samples/mixed/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.mixed.pom

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.mixed.api %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.mixed.api
install -m 644 samples/mixed/api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.mixed.api.pom
install -m 644 samples/mixed/api/target/org.ops4j.pax.wicket.samples.mixed.api-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
install -m 644 samples/mixed/api/target/org.ops4j.pax.wicket.samples.mixed.api-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/org.ops4j.pax.wicket.samples.mixed.api-sources-%{version}.jar

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.mixed.component %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.mixed.component
install -m 644 samples/mixed/component/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.mixed.component.pom
install -m 644 samples/mixed/component/target/org.ops4j.pax.wicket.samples.mixed.component-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
install -m 644 samples/mixed/component/target/org.ops4j.pax.wicket.samples.mixed.component-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/org.ops4j.pax.wicket.samples.mixed.component-sources-%{version}.jar

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.mixed.main %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.mixed.main
install -m 644 samples/mixed/main/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.mixed.main.pom
install -m 644 samples/mixed/main/target/org.ops4j.pax.wicket.samples.mixed.main-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
install -m 644 samples/mixed/main/target/org.ops4j.pax.wicket.samples.mixed.main-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/org.ops4j.pax.wicket.samples.mixed.main-sources-%{version}.jar

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.mixed.page %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.mixed.page
install -m 644 samples/mixed/page/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.mixed.page.pom
install -m 644 samples/mixed/page/target/org.ops4j.pax.wicket.samples.mixed.page-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
install -m 644 samples/mixed/page/target/org.ops4j.pax.wicket.samples.mixed.page-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/org.ops4j.pax.wicket.samples.mixed.page-sources-%{version}.jar

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.navigation %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.navigation
install -m 644 samples/navigation/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.navigation.pom
install -m 644 samples/navigation/target/org.ops4j.pax.wicket.samples.navigation-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
install -m 644 samples/navigation/target/org.ops4j.pax.wicket.samples.navigation-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/org.ops4j.pax.wicket.samples.navigation-sources-%{version}.jar

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.plain %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.plain
install -m 644 samples/plain/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.plain.pom

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.plain.simple %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.plain.simple
install -m 644 samples/plain/simple/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.plain.simple.pom
install -m 644 samples/plain/simple/target/org.ops4j.pax.wicket.samples.plain.simple-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
install -m 644 samples/plain/simple/target/org.ops4j.pax.wicket.samples.plain.simple-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/org.ops4j.pax.wicket.samples.plain.simple-sources-%{version}.jar

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.springdm %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.springdm
install -m 644 samples/springdm/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.springdm.pom

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.springdm.injection %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.springdm.injection
install -m 644 samples/springdm/injection/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.springdm.injection.pom

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.springdm.injection.simple %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.springdm.injection.simple
install -m 644 samples/springdm/injection/simple/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.springdm.injection.simple.pom
install -m 644 samples/springdm/injection/simple/target/org.ops4j.pax.wicket.samples.springdm.injection.simple-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
install -m 644 samples/springdm/injection/simple/target/org.ops4j.pax.wicket.samples.springdm.injection.simple-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/org.ops4j.pax.wicket.samples.springdm.injection.simple-sources-%{version}.jar

%add_to_maven_depmap org.ops4j.pax.wicket org.ops4j.pax.wicket.samples.springdm.simple %{version} JPP/%{name}/samples org.ops4j.pax.wicket.samples.springdm.simple
install -m 644 samples/springdm/simple/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.samples-org.ops4j.pax.wicket.samples.springdm.simple.pom
install -m 644 samples/springdm/simple/target/org.ops4j.pax.wicket.samples.springdm.simple-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples
install -m 644 samples/springdm/simple/target/org.ops4j.pax.wicket.samples.springdm.simple-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples/org.ops4j.pax.wicket.samples.springdm.simple-sources-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/%{name}/samples && for f in *-%{version}.?ar; do ln -sf ${f} `echo $f| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_javadir}/%{name}/samples/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/*

%changelog
* Sat Sep 22 2012 Ralph Apel <r.apel at r-apel.de> 0:1.1.0-1
- First standalone release

